Subject: Re: Using authentication under Apache for Cygwin
From: Stipe Tolj <[email-masked]>
To: Andrew DeFaria <[email-masked]>
Cc: [email-masked]
Date: Tue, 30 Sep 2003 02:17:46 +0200

> Now that Apache for Cygwin seems to work more reliably I have started
> using it as my web server. However authentication (that was working with
> Apache for Windows) broke. I'm wondering if this is an Apache for Cygwin
> specific problem.
> 
> I used to have this implemented at the server level in the httpd.conf
> file like so:
> 
> # Secure addbug form
> <Directory "//sonscentral/users/adefaria/www/Internal/Release/addbug/">
>     AuthName "permission to add a bug"
>     AuthType Basic
>     AuthUserFile /etc/apache/addbug_users
>     Require valid-user
> </Directory>
> 
> However that fails to work. The user is let in without being prompted
> for a username/password. I've also tried using a .htaccess file:
> 
> AuthType Basic
> AuthName "permission to add a bug"
> AuthUserFile /etc/apache/addbug_users
> 
> Require valid-user
> 
> With the same non-success. I had cranked up the loglevel in the hopes
> that something about the failure would be written to the logs but
> nothing is. How can I debug/fix this? Does Apache for Cygwin do any
> authentication at all?
> 
> Apache 1.3.24; Cygwin 1.5.4

did you used "AuthGroupFile /dev/null" in this scope too?

I have no clue for this, because Authentication using the standard
mod_auth was working very reliably since decades for me.

BTW, why is the <Director> path starting with *two* slashes? Maybe we
got the raeson for this behaviour at this point.

Stipe

[email-masked]
-------------------------------------------------------------------
Wapme Systems AG

Vogelsanger Weg 80
40470 Düsseldorf

Tel: +49-211-74845-0
Fax: +49-211-74845-299

E-Mail: [email-masked]
Internet: http://www.wapme-systems.de
-------------------------------------------------------------------
wapme.net - wherever you are

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/